Subject: bug#56743: 29.0.50; Sharing .eln files beween different builds

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Jul 2022 11:58:22 -0400

Package: Emacs
Version: 29.0.50

It would be good to try and make sure the `.eln` files can be shared
between different builds of the release tarballs (ie. the exact same
source code, just configured differently).  This would be beneficial for
example for distributions like Debian which offer `emacs-nox`,
`emacs-gtk`, and emacs-lucid` variants, which could then share the
`.eln` files.

Obviously, we can't share them between all the different combinations of
build options (e.g. `wide-int` and `non-wide-int`) but it shouldn't be
too hard to make sure they can be shared for many/most other choices, IIUC.

        Stefan